Google Web Toolkit (Beta)
Search this site:

# Class AbsolutePanel

public class AbsolutePanel
extends ComplexPanel
// Superclass of `RootPanel`
An absolute panel positions all of its children absolutely, allowing them to overlap.

Note that this panel will not automatically resize itself to allow enough room for its absolutely-positioned children. It must be explicitly sized in order to make room for them.

Once a widget has been added to an absolute panel, the panel effectively "owns" the positioning of the widget. Any existing positioning attributes on the widget may be modified by the panel.

## Constructors

AbsolutePanel() | Creates an empty absolute panel.

## Methods

add(Widget) | Adds a child widget to this panel.
add(Widget, int, int) | Adds a widget to the panel at the specified position.
disown(Widget) | Calls the superclass' `disown(Widget)` method, and sets the the positioning of the widget to static.
getWidgetLeft(Widget) | Gets the position of the left outer border edge of the widget relative to the left outer border edge of the panel.
getWidgetTop(Widget) | Gets the position of the top outer border edge of the widget relative to the top outer border edge of the panel.
setWidgetPosition(Widget, int, int) | Sets the position of the specified child widget.

## Constructor Detail

### AbsolutePanel

public AbsolutePanel()
Creates an empty absolute panel.

## Method Detail

### add

public void add(Widget w)
Adds a child widget to this panel.

#### Parameters

w
  the child widget to be added

### add

public void add(Widget w, int left, int top)
Adds a widget to the panel at the specified position. Setting a position of `(-1, -1)` will cause the child widget to be positioned statically.

#### Parameters

w
  the widget to be added
left
  the widget's left position
top
  the widget's top position

### disown

protected void disown(Widget w)
Calls the superclass' `disown(Widget)` method, and sets the the positioning of the widget to static. This is done so that any positioning changes to the widget that were done by the panel are undone when the widget is disowned from the panel.

#### Parameters

w
  the widget to be disowned

### getWidgetLeft

public int getWidgetLeft(Widget w)
Gets the position of the left outer border edge of the widget relative to the left outer border edge of the panel.

#### Parameters

w
  the widget whose position is to be retrieved

#### Return Value

the widget's left position

### getWidgetTop

public int getWidgetTop(Widget w)
Gets the position of the top outer border edge of the widget relative to the top outer border edge of the panel.

#### Parameters

w
  the widget whose position is to be retrieved

#### Return Value

the widget's top position

### setWidgetPosition

public void setWidgetPosition(Widget w, int left, int top)
Sets the position of the specified child widget. Setting a position of `(-1, -1)` will cause the child widget to be positioned statically.

#### Parameters

w
  the child widget to be positioned
left
  the widget's left position
top
  the widget's top position